astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Virtual Observatory Access (`astropy.vo`) »
- VO Simple Cone Search »
- list_catalogs

# list_catalogs

`astropy.vo.client.vos_catalog.``list_catalogs`(service_type, cache=True, verbose=True, **kwargs)

  List the catalogs available for the given service type.

  Parameters:

  service_type : str

  > Name of the type of service, e.g., ‘conesearch_good’.

  cache : bool

  > Use caching for VO Service database. Access to actual VO websites referenced by the database still needs internet connection.

  verbose : bool

  > Show download progress bars.

  pattern : str or `None`

  > If given string is anywhere in a catalog name, it is considered a matching catalog. It accepts patterns as in `fnmatch` and is case-insensitive. By default, all catalogs are returned.

  sort : bool

  > Sort output in alphabetical order. If not sorted, the order depends on dictionary hashing. Default is `True`.

  Returns:

  arr : list of str

  > List of catalog names.